> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recipients

> Retrieve a list of recipients



## OpenAPI

````yaml get /recipient
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /recipient:
    get:
      tags:
        - Recipient
      summary: List Recipients
      description: Retrieve a list of recipients
      parameters:
        - name: id
          in: query
          description: Recipient ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Recipient creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: conversation_id
          in: query
          description: Conversation ID
          schema:
            type: string
        - name: message_id
          in: query
          description: Message ID
          schema:
            type: string
        - name: contact_id
          in: query
          description: Contact ID
          schema:
            type: string
        - name: handle
          in: query
          description: Handle of recipient
          schema:
            type: string
        - name: full_name
          in: query
          description: Name of recipient
          schema:
            type: string
        - name: role
          in: query
          description: Role of recipient
          schema:
            type: string
        - name: is_organisation
          in: query
          description: Is recipient the organisation?
          schema:
            type: string
        - name: status
          in: query
          description: Status of recipient
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `created_at`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/recipient'
components:
  schemas:
    recipient:
      type: object
      properties:
        id:
          type: string
          description: Recipient ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Recipient creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        conversation_id:
          type: string
          description: Conversation ID
          format: uuid
        message_id:
          type: string
          description: Message ID
          format: uuid
        contact_id:
          type: string
          description: Contact ID
          format: uuid
          nullable: true
        handle:
          type: string
          description: Handle of recipient
          format: text
        full_name:
          type: string
          description: Name of recipient
          format: text
          nullable: true
        role:
          type: string
          description: Role of recipient
          format: public.recipient_role
          enum:
            - from
            - to
            - cc
            - bcc
            - reply_to
          nullable: true
        is_organisation:
          type: boolean
          description: Is recipient the organisation?
          format: boolean
          nullable: true
        status:
          type: string
          description: Status of recipient
          format: public.recipient_status
          enum:
            - sent
            - sending_error
            - bounce_error
            - submission_error
            - submitted
            - sending
            - read
            - draft
            - scheduled
            - interacted
            - answered
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````